Commit 98939ca9 authored by Thomas Friedrichsmeier's avatar Thomas Friedrichsmeier
Browse files

Start release process

parent 1168b52c
--- Version 0.7.1 - UNRELEASED
- Instead of installing rkward R packages at build time, install them at runtime, when needed TODO: Testing, document removal of -DR_LIBDIR for packagers
--- Version 0.7.1 - Jan-23-2020
- Instead of installing rkward R packages at build time, install them at runtime, when needed
- Add new commandline option "--r-executable=auto" for auto-detection of R installation
- Fixed: Underscore (_) was not accepted in names of newly created data.frames
- <browser> element in save file mode gains checkbox to control overwriting of existing files
......@@ -8,7 +8,7 @@
- Add command-line option --autoreuse to avoid shipping two separate .desktop files
- <select> elements in plugin dialogs can be set to accept only a single selection
- New R functions rk.capture.output() and and rk.end.capture.output()
- Allow to reference current script file in plugins TODO: Test this
- Allow to reference current script file in plugins
- Add various live-preview options for R scripts, including a preview of R markdown rendering
- Make it possible to "link" to specific settings pages from the internal documentation
- Slighlty less confusing output in case a package is installed from require(), such as in many plugins
......
......@@ -2,10 +2,10 @@ Requirements
===================
RKWard requires:
- KDE-libraries and headers (>= 4.0) (http://www.kde.org)
- Qt-libraries and headers (>= 4.3) (http://www.trolltech.com)
- R and headers (http://www.r-project.org)
- CMake (http://cmake.org)
- Several KF5-libraries and headers (>= 5.4) (https://www.kde.org)
- Qt-libraries and headers (>= 5.2) (http://www.trolltech.com)
- R and headers (https://www.r-project.org)
- CMake (https://cmake.org)
Compilation
......
# DO NOT CHANGE THIS FILE MANUALLY!
# It will be overwritten by scripts/set_dist_version.sh
SET(RKVERSION_NUMBER 0.7.0z+0.7.1+devel2)
SET(RKVERSION_NUMBER 0.7.1)
......@@ -8,7 +8,7 @@
</snippet>
<snippet id="rkward_version_guard">
<!-- Guard against accidental inclusion of pluginmaps in a different installed version of RKWard -->
<dependencies rkward_min_version="0.7.0z" rkward_max_version="0.7.1y" />
<dependencies rkward_min_version="0.7.1" rkward_max_version="0.7.1y" />
</snippet>
</snippets>
</document>
......
......@@ -18,7 +18,7 @@ Authors@R: c(person(given="Thomas", family="Friedrichsmeier",
role=c("aut")), person(given="the RKWard team",
email="rkward-devel@kde.org", role=c("cre","ctb")))
Version: 0.7.1
Date: 2019-12-30
Date: 2020-01-16
RoxygenNote: 6.1.0
Collate:
'base_overrides.R'
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment